<?php
/**
 * Helper class for BackLinks.com module
 * 
 * @package    Structure & Navigation 
 * @subpackage Automatic Links
 * @link http://www.backlinks.com/Joomla/how-to-install.php
 * @license        GNU/GPL, see LICENSE.php
 * mod_backlinks_com is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
class modBackLinksComHelper
{
    /**
     * Retrieves links block and display it
     *
     * @param array $params An object containing the module parameters
     * @access public
     */    
    function getBackLinks( $params )
    {

        $BLKey = $params->get('backlinkskey');

        $OpenInNewWindow = intval($params->get('open_in_nw'));

        if(strlen($BLKey)) {
            $QueryString  = "LinkUrl=".urlencode((($_SERVER['HTTPS']=='on')?'https://':'http://').$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
            $QueryString .= "&Key=" .urlencode($BLKey);
            $QueryString .= "&OpenInNewWindow=" .urlencode($OpenInNewWindow);
            
            $links_block_html='';

            if(intval(get_cfg_var('allow_url_fopen')) && function_exists('file')) {
                if($content = @file("http://www.backlinks.com/engine.php?".$QueryString)) 
                    $links_block_html .= @join('', $content);
            }
            elseif(intval(get_cfg_var('allow_url_fopen')) && function_exists('file_get_contents')) {
                $links_block_html .= @file_get_contents("http://www.backlinks.com/engine.php?".$QueryString); 
            }
            elseif(function_exists('curl_init')) {
                $ch = curl_init ("http://www.backlinks.com/engine.php?".$QueryString);
                curl_setopt ($ch, CURLOPT_HEADER, 0);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                $links_block_html .= curl_exec ($ch);

                if(curl_error($ch))
                    print "Error processing request";

                curl_close ($ch);
            }
            else {
                $links_block_html .= "It appears that your web host has disabled all functions for handling remote pages and as a result the BackLinks software will not function on your web page. Please contact your web host for more information.";
            }

            //if(strlen($links_block_html)&& $links_block_html!=0) {
                return $links_block_html;
            //}
        }

        return '';
    }
}
?>